Skip to main content
POST

Request Parameters

Body

url
string
URL of the page to scrape. Either url or html is required, but not both.
html
string
HTML content to scrape. Either url or html is required, but not both.
element_prompts
array<string> | object
Items on the page to scrape (maximum 5). Can be an array of strings (e.g. ["Plan price", "Plan title"]) or an object with key-value pairs (e.g. {"price": "Plan price", "title": "Plan title"}).
scroll
boolean
default:"false"
When enabled, automatically scrolls through the entire page to return full-page results.
selectors
array<string>
CSS elements on the page to scrape. E.g. “h2.title”, “div.price”
root_element_selector
string
default:"main"
CSS selector to limit the scope of scraping to a specific element and its children
page_position
number
default:"1"
For pagination, the current page number (minimum: 1)
features
array<string>
default:["meta","link"]
Features to extract from the page. Available options:
  • meta - Extract page metadata (title, description, keywords, og_image)
  • link - Extract links detected on the page
advance_config
object
Advanced configurations
http_headers
object
Custom HTTP headers to send with requests (key-value pairs)
reject_request_pattern
array<string>
Array of patterns to intercept and block requests (e.g., [“jpg”, “png”])
goto_options
object
Custom page-load behavior settings
wait_for
object
Wait condition before scraping
cookies
array<object>
Cookies to set for the page request
size_preset
string
Predefined screen size preset to use instead of specifying width and height manually. Supported values include:
  • QVGA - 320×240
  • VGA - 640×480
  • SVGA - 800×600
  • HD - 1280×720
  • HD+ - 1600×900
  • SXGA - 1280×1024
  • FHD - 1920×1080
  • 2K - 2048×1080
  • 2K QHD - 2560×1440
  • 5K - 5120×2880
  • 4K UHD - 3840×2160
See the full list of screen size presets here
is_mobile
boolean
default:"false"
Whether to emulate a mobile device viewport
scale
number
default:"1"
Device scale factor (minimum: 1)
width
number
default:"1920"
Viewport width in pixels
height
number
default:"1080"
Viewport height in pixels
force_rotate_proxy
boolean
Whether to force proxy rotation for each request (incurs additional costs)
byo_proxy
object
Bring-your-own-proxy configuration
x-api-key
string
required
Your JigsawStack API key

Response Structure

success
boolean
Indicates whether the call was successful.
_usage
object
Usage information for the API call.
log_id
string
A unique identifier for the request
data
array<object>
Detailed scrape data from the page
page_position
number
The current page position when paginating through results
page_position_length
number
The total number of pages available
context
record<string, array<string>>
A map of element prompt keys to arrays of extracted text content from matched elements
selectors
record<string, array<string>>
A map of element prompt keys to arrays of CSS selectors that were used to find matching elements
Links detected on the page
advance_config
object | undefined
Captured browser data if enabled in advance_config
meta
object | undefined
Metadata about the page, such as title, description, keywords, and Open Graph image